import type { Request } from "express";
import type { Session, User } from "better-auth";

declare global {
  namespace Express {
    interface Request {
      session?: { session: Session; user: User };
    }
  }
}

declare module "ws" {
  interface WebSocket {
    lobbyId?: string | undefined;
  }
}

export type AuthenticatedRequest = Request & {
  session: { session: Session; user: User };
};
